# Interface methods for submodule: OtsuThresholdCalculator
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import HistogramThresholdCalculatorProxy as _HistogramThresholdCalculatorProxy


# Interface methods for class: OtsuThresholdCalculator
class OtsuThresholdCalculatorProxy(_HistogramThresholdCalculatorProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetReturnBinMidpoint(self, _arg: bool) -> None:
		""""""
		...

	def GetReturnBinMidpoint(self) -> bool:
		""""""
		...

	def ReturnBinMidpointOn(self) -> None:
		""""""
		...

	def ReturnBinMidpointOff(self) -> None:
		""""""
		...

	def Compute(self) -> None:
		""""""
		...

